JSON for Modern C++ 3.0

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
nlohmann::basic_json::iterator Class Reference

a random access iterator for the basic_json class

`#include <json.hpp>`

## Public Types
using | difference_type = typename basic_json::difference_type
| a type to represent differences between iterators More...
using | iterator_category = std::bidirectional_iterator_tag
| the category of the iterator More...
using | pointer = typename basic_json::pointer
| defines a pointer to the type iterated over (value_type) More...
using | reference = typename basic_json::reference
| defines a reference to the type iterated over (value_type) More...
using | value_type = typename basic_json::value_type
| the type of the values when the iterator is dereferenced More...

## Public Member Functions
| iterator ()=default
| default constructor More...
| iterator (pointer object)
| constructor for a given JSON instance More...
| iterator (const iterator &other) noexcept
| copy constructor More...
object_t::key_type | key () const
| return the key of an object iterator More...
bool | operator!= (const iterator &other) const
| comparison: not equal More...
reference | operator* ()
| return a reference to the value pointed to by the iterator More...
iterator | operator+ (difference_type i)
| add to iterator More...
iterator | operator++ (int)
| post-increment (it++) More...
iterator & | operator++ ()
| pre-increment (++it) More...
iterator & | operator+= (difference_type i)
| add to iterator More...
iterator | operator- (difference_type i)
| subtract from iterator More...
difference_type | operator- (const iterator &other) const
| return difference More...
iterator | operator-- (int)
| post-decrement (it–) More...
iterator & | operator-- ()
| pre-decrement (–it) More...
iterator & | operator-= (difference_type i)
| subtract from iterator More...
pointer | operator-> ()
| dereference the iterator More...
bool | operator< (const iterator &other) const
| comparison: smaller More...
bool | operator<= (const iterator &other) const
| comparison: less than or equal More...
iterator & | operator= (iterator other) noexcept(std::is_nothrow_move_constructible< pointer >::value andstd::is_nothrow_move_assignable< pointer >::value andstd::is_nothrow_move_constructible< internal_iterator >::value andstd::is_nothrow_move_assignable< internal_iterator >::value)
| copy assignment More...
bool | operator== (const iterator &other) const
| comparison: equal More...
bool | operator> (const iterator &other) const
| comparison: greater than More...
bool | operator>= (const iterator &other) const
| comparison: greater than or equal More...
reference | operator[] (difference_type n)
| access to successor More...
reference | value ()
| return the key of an iterator More...

## Friends
class | basic_json